
=encoding utf8

=head1 NAME

Sidef::Object::Lazy

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Lazy(...)

=head1 METHODS

=head2 each

    Lazy.each()

Returns the

=cut

=head2 first

    Lazy.first()

Returns the

=cut

=head2 first_by

    Lazy.first_by()

Returns the

=cut

=head2 grep

    Lazy.grep()

Returns the

Aliases: I<select>

=cut

=head2 iter

    Lazy.iter()

Returns the

=cut

=head2 lazy

    Lazy.lazy()

Returns the

=cut

=head2 map

    Lazy.map()

Returns the

Aliases: I<collect>

=cut

=head2 new

    Lazy.new()

Returns the

=cut

=head2 nth

    Lazy.nth()

Returns the

=cut

=head2 prod

    Lazy.prod()

Returns the

Aliases: I<prod_by>

=cut

=head2 prod_kv

    Lazy.prod_kv()

Returns the

=cut

=head2 reduce

    Lazy.reduce()

Returns the

=cut

=head2 reduce_by

    Lazy.reduce_by()

Returns the

=cut

=head2 sum

    Lazy.sum()

Returns the

Aliases: I<sum_by>

=cut

=head2 sum_kv

    Lazy.sum_kv()

Returns the

=cut

=head2 to_a

    Lazy.to_a()

Returns the

=cut

=head2 while

    Lazy.while()

Returns the

=cut
